Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ActivityInsertionEditor

    java.lang.Object
      ix.ip2.ItemEditor
          ix.ip2.ActivityEditor
              ix.ip2.ActivityInsertionEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

     class ActivityInsertionEditor

extends ActivityEditor

A simple editor for entering and viewing Activities

Nested Class Summary
`(package private) class` | `ActivityInsertionEditor.InsertionEditPanel`

Nested classes/interfaces inherited from class ix.ip2.ActivityEditor
`ActivityEditor.ActivityEditPanel`

Nested classes/interfaces inherited from class ix.ip2.ItemEditor
`ItemEditor.EditPanel, ItemEditor.ItemTextArea, ItemEditor.TextViewFrame, ItemEditor.TreeViewFrame`

Field Summary
`(package private) static java.lang.String` | `AFTER`
`(package private) static java.lang.String` | `BEFORE`
`(package private) javax.swing.JLabel` | `descriptionLabel`
`(package private) Ip2` | `ip2`
`(package private) Ip2ModelManager` | `ip2MM`
`(package private) java.lang.String` | `placement`
`(package private) AgendaItem` | `target`

Fields inherited from class ix.ip2.ActivityEditor
`saveAsRefinementItem`

Fields inherited from class ix.ip2.ItemEditor
`agendaViewer, agent, contentPane, editPanel, fileMenu, frame, itemType, statusView, textView, title, treeView, viewMenu, viewXMLTranslator`

Constructor Summary
`ActivityInsertionEditor(Ip2 ip2)`

Method Summary
`(package private) void` | `insertAfter(AgendaItem item)`
`(package private) void` | `insertAfterTarget(AgendaItem item)`
`(package private) void` | `insertBefore(AgendaItem item)`
`(package private) void` | `insertBeforeTarget(AgendaItem item)`
`(package private) void` | `insertItem(AgendaItem item)`
`(package private) java.lang.Object` | `itemAfter(java.lang.Object target, java.util.List list)`
`protected ItemEditor.EditPanel` | `makeEditPanel()`
`(package private) void` | `setupForInsertion(java.lang.String placement, AgendaItem item)`

Methods inherited from class ix.ip2.ActivityEditor
`actionPerformed, makeMenuBar`

Methods inherited from class ix.ip2.ItemEditor
`addEndStatus, addHandlerActionStatus, addItemConditons, addStatus, clearViews, ensureStatusView, ensureTextView, ensureTreeView, handleViewCommand, makeMenuItem, makeStatusText, makeViewXMLTranslator, setUpFrame, setVisible, showItem, showNewItem, showStatusIfVisible, showTextIfVisible, showTreeIfVisible, showViewsIfVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEFORE

    static final java.lang.String BEFORE

See Also:
  Constant Field Values

### AFTER

    static final java.lang.String AFTER

See Also:
  Constant Field Values

### ip2

    Ip2 ip2

### ip2MM

    Ip2ModelManager ip2MM

### descriptionLabel

    javax.swing.JLabel descriptionLabel

### placement

    java.lang.String placement

### target

    AgendaItem target

Constructor Detail

### ActivityInsertionEditor

    ActivityInsertionEditor(Ip2 ip2)

Method Detail

### insertBefore

    void insertBefore(AgendaItem item)

### insertAfter

    void insertAfter(AgendaItem item)

### setupForInsertion

    void setupForInsertion(java.lang.String placement,
                           AgendaItem item)

### makeEditPanel

    protected ItemEditor.EditPanel makeEditPanel()

  Overrides:
    `makeEditPanel` in class `ActivityEditor`

### insertItem

    void insertItem(AgendaItem item)

### insertBeforeTarget

    void insertBeforeTarget(AgendaItem item)

### insertAfterTarget

    void insertAfterTarget(AgendaItem item)

### itemAfter

    java.lang.Object itemAfter(java.lang.Object target,
                               java.util.List list)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD